Bug 142904 - CAN-2004-1189 buffer overflow in krb5
CAN-2004-1189 buffer overflow in krb5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
impact=moderate,embargoed=20041221
: Security
: 143443 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 17:50 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:42:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-14 17:50:05 EST
secalert received a message from the MIT Kerberos Development Team
detailing a vulnerability.

The MIT Kerberos 5 administration library (libkadm5srv) contains a
heap buffer overflow in password history handling code which could be
exploited to execute arbitrary code on a Key Distribution Center (KDC)
host.  The overflow occurs during a password change of a principal
with a certain password history state.  An administrator must have
performed a certain password policy change in order to create the
vulnerable state.

There is currently no patch for this issue.  I'll attach one as soon
as it becomes available.

The MIT team wants to realease their update sometimes around
2004-12-21 since this issue is technically public (we are however
treating it as embargoed).

This issue should also affect FC2.
Comment 1 Mark J. Cox (Product Security) 2004-12-21 04:26:36 EST
removing embargo
Comment 2 Josh Bressers 2004-12-21 08:13:04 EST
*** Bug 143443 has been marked as a duplicate of this bug. ***
Comment 3 Mark J. Cox (Product Security) 2005-03-18 04:42:39 EST
        CAN-2004-1189 Probably Affects: FC2 [#142904:NEW] -> 2004-563 20041221
        CAN-2004-1189 Probably Affects: FC3 [#142904:NEW] -> 2004-564 20041221

Note You need to log in before you can comment on or make changes to this bug.